/* Visor - Estilos generales */

html, body {
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
  background: #000 !important;
  overflow: hidden;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

#media {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: #000 !important;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 1;
  transform: translateZ(0);
  backface-visibility: hidden;
}

#media img, #media video {
  max-width: 100vw;
  max-height: 100vh;
  width: 100%;
  height: 100%;
  object-fit: contain;
  background: #000 !important;
  border: none;
  opacity: 0;
  transition: opacity 1s ease-in-out;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  image-rendering: optimizeSpeed;
}

body::-webkit-scrollbar {
  display: none;
}

body {
  -ms-overflow-style: none;
  scrollbar-width: none;
}

* {
  user-select: none;
  -webkit-user-drag: none;
}

:root {
  background-color: #000 !important;
}
